import 'package:flutter/material.dart';

void main() {
  runApp(TestApplication());
}

class TestApplication extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Test Application',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MainPage(),
    );
  }
}

class MainPage extends StatefulWidget {
  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  String _selectedTime;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Test Application'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            RaisedButton(
              child: Text('Run'),
              color: Colors.blue,
              textColor: Colors.white,
              onPressed: () {
                Future<TimeOfDay> future = showTimePicker(
                  context: context,
                  initialTime: TimeOfDay.now(),
                );

                future.then((timeOfDay) {
                  setState(() {
                    if (timeOfDay == null) {
                      _selectedTime = null;
                    } else {
                      _selectedTime = '${timeOfDay.hour}:${timeOfDay.minute}';
                    }
                  });
                });
              },
            ),
            Text(
              '결과 : $_selectedTime',
            ),
          ],
        ),
      ),
    );
  }
}